/// <reference types="heremaps" />
import React from 'react';
import { HEREMapContext } from './utils/map-context';
export interface HEREMapProps extends H.Map.Options {
    appId: string;
    appCode: string;
    animateCenter?: boolean;
    animateZoom?: boolean;
    hidpi?: boolean;
    interactive?: boolean;
    secure?: boolean;
    setLayer?: {
        layer: 'map' | 'traffic' | 'panorama' | 'transit' | 'xbase' | 'base' | 'labels';
        mapType: 'normal' | 'satelite' | 'terrain';
    };
    onPointerDown?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onPointerUp?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onPointerMove?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onPointerEnter?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onPointerLeave?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onPointerCancel?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onDragStart?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onDrag?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onDragEnd?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onTap?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onDoubleTap?: (e: H.util.Event, coords: H.geo.IPoint) => void;
    onLongPress?: (e: H.util.Event, coords: H.geo.IPoint) => void;
}
export interface OwnState {
}
export declare class HEREMap extends React.Component<HEREMapProps, HEREMapContext> {
    private debouncedResizeMap;
    constructor(props: HEREMapProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: HEREMapProps): void;
    componentWillUnmount(): void;
    createMap: () => HEREMapContext;
    getElement(): Element | Text | null;
    setCenter(point: H.geo.IPoint): void;
    setZoom(zoom: number): void;
    private resizeMap;
    render(): JSX.Element;
}
export default HEREMap;
